# FoundationClasses
TKernel
TColStd

# TColStd_StackOfInteger Class Reference

`#include <TColStd_StackOfInteger.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TColStd_StackOfInteger ()
Standard_EXPORT const TColStd_StackOfInteger & | Assign (const TColStd_StackOfInteger &Other)
const TColStd_StackOfInteger & | operator= (const TColStd_StackOfInteger &Other)
Standard_Boolean | IsEmpty () const
Standard_Integer | Depth () const
Standard_EXPORT const Standard_Integer & | Top () const
Standard_EXPORT void | Push (const Standard_Integer &I)
Standard_EXPORT void | Pop ()
Standard_EXPORT void | Clear ()
| ~TColStd_StackOfInteger ()
Standard_EXPORT Standard_Integer & | ChangeTop ()

## Private Member Functions

Standard_EXPORT | TColStd_StackOfInteger (const TColStd_StackOfInteger &Other)

## Private Attributes

Standard_Address | myTop
Standard_Integer | myDepth

## Constructor & Destructor Documentation

Standard_EXPORT TColStd_StackOfInteger::TColStd_StackOfInteger | ( |  | ) |

TColStd_StackOfInteger::~TColStd_StackOfInteger | ( |  | ) | `[inline]`

Standard_EXPORT TColStd_StackOfInteger::TColStd_StackOfInteger | ( | const TColStd_StackOfInteger & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const TColStd_StackOfInteger& TColStd_StackOfInteger::Assign | ( | const TColStd_StackOfInteger & | Other | ) |

Standard_EXPORT Standard_Integer& TColStd_StackOfInteger::ChangeTop | ( |  | ) |

Standard_EXPORT void TColStd_StackOfInteger::Clear | ( |  | ) |

Standard_Integer TColStd_StackOfInteger::Depth | ( |  | ) | const

Standard_Boolean TColStd_StackOfInteger::IsEmpty | ( |  | ) | const

void TColStd_StackOfInteger::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TColStd_StackOfInteger::operator new | ( | size_t | size | ) | `[inline]`

void* TColStd_StackOfInteger::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

const TColStd_StackOfInteger& TColStd_StackOfInteger::operator= | ( | const TColStd_StackOfInteger & | Other | ) | `[inline]`

Standard_EXPORT void TColStd_StackOfInteger::Pop | ( |  | ) |

Standard_EXPORT void TColStd_StackOfInteger::Push | ( | const Standard_Integer & | I | ) |

Standard_EXPORT const Standard_Integer& TColStd_StackOfInteger::Top | ( |  | ) | const

## Field Documentation

Standard_Integer TColStd_StackOfInteger::myDepth `[private]`

Standard_Address TColStd_StackOfInteger::myTop `[private]`

The documentation for this class was generated from the following file:

- TColStd_StackOfInteger.hxx